  AGGREGATE *MatProp(AGGREGATE)  
  CEMENT_CLASS *MatProp(CEMENT_CLASS)  
  DENSITY   *MatProp(DENSITY,Real)
  HUMIDITY  *MatProp(HUMIDITY,Real)  
  THICKNESS *MatProp(THICKNESS,Real)
*#
*#
*If(oJdeoShell==1)
*# // pro nepouzite materialy
*loop materials *NotUsed *all
*Set Var oMat=tcl(TK_FindMaterialNumber *MatProp(0) *MatProp(0))
*If(oMat==oMujMat)
*#
  FCYL28    *Operation(MatProp(Compresion_Strength-FC,Real)*SignMinus)
  E28       *MatProp(Young_s_Modulus-E,Real)
*If((strcmp(MatProp(Material_Prototype),"CC3DNonLinCementitious2")==0 || strcmp(MatProp(Material_Prototype),"CC3DNonLinCementitious3")==0))
  FCYL0_28 *Operation(MatProp(Onset_of_Crushing-FC0,Real)*SignMinus) 
  FT28 *MatProp(Tension_Strength-FT,Real)
  GF28 *MatProp(Fracture_Energy-GF,Real)  
*EndIf 
*break
*EndIf
*End materials
*#
*Set var oJeImproved=0
*If(strcmp(MatProp(Material_Prototype),"CCModelB3Improved")==0 || strcmp(MatProp(Material_Prototype),"CCModelB4")==0)
*Set var oJeImproved=1
*EndIf
*#
*# // pro pouzite materialy
*loop materials *all
*Set Var oMat=tcl(TK_FindMaterialNumber *MatProp(0) *MatProp(0))
*If(oMat==oMujMat)
*#
  FCYL28    *Operation(MatProp(Compresion_Strength-FC,Real)*SignMinus)
  E28       *MatProp(Young_s_Modulus-E,Real)
*If(oJeImproved==1 && (strcmp(MatProp(Material_Prototype),"CC3DNonLinCementitious2")==0 || strcmp(MatProp(Material_Prototype),"CC3DNonLinCementitious3")==0))
  FCYL0_28 *Operation(MatProp(Onset_of_Crushing-FC0,Real)*SignMinus)
  FT28 *MatProp(Tension_Strength-FT,Real)
  GF28 *MatProp(Fracture_Energy-GF,Real)  
*EndIf 
*break
*EndIf
*End materials
*else
  FCYL28    *Operation(MatProp(Compresion_Strength-FC,Real)*SignMinus)
  E28       *MatProp(Young_s_Modulus-E,Real)
*If(oJeImproved==1 && (strcmp(MatProp(Material_Prototype),"CC3DNonLinCementitious2")==0 || strcmp(MatProp(Material_Prototype),"CC3DNonLinCementitious3")==0))
  FCYL0_28 *Operation(MatProp(Onset_of_Crushing-FC0,Real)*SignMinus)
  FT28 *MatProp(Tension_Strength-FT,Real)
  GF28 *MatProp(Fracture_Energy-GF,Real)  
*EndIf 
*EndIf
*#
*#
  End OF CURING TIME *MatProp(End_OF_CURING_TIME,Real)  
  DELTA_AGE  *MatProp(DELTA_AGE)    